Create a service annotation
https://{kibana_url}
- POST /api/apm/services/{serviceName}/annotation
Create a new annotation for a specific service.
Path Parameters
-
serviceNamestringrequired -
The name of the service
Request
-
@timestampstringrequired -
The date and time of the annotation. It must be in ISO 8601 format.
-
messagestring -
The message displayed in the annotation. It defaults to
service.version. -
serviceobjectrequired -
The service that identifies the configuration to create or update.
-
environmentstring -
The environment of the service.
-
versionstringrequired -
The version of the service.
-
Tags are used by the Applications UI to distinguish APM annotations from other annotations. Tags may have additional functionality in future releases. It defaults to
[apm]. While you can add additional tags, you cannot remove theapmtag.
Responses
Annotation created successfully
-
_idstring -
Identifier
-
_indexstring -
Index
-
_sourceobject -
Response
-
@timestampstring -
annotationobject -
messagestring -
serviceobject -
environmentstring -
namestring -
versionstring
Bad Request response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Unauthorized response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Forbidden response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Not found response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code